#ifndef HEADER_DH_H
#include <openssl/dh.h>
#endif
DH *get_dh512()
	{
	static unsigned char dh512_p[]={
		0xC4,0x0C,0xC3,0x69,0x82,0xD8,0xA5,0xC5,0x79,0x4D,0x3B,0xE4,
		0xC8,0x74,0xF1,0x6C,0x14,0x4B,0x6B,0x69,0xFD,0x93,0xA8,0x99,
		0x34,0xE8,0x5E,0x82,0xFB,0xB8,0x73,0xC2,0x10,0xDA,0x5F,0x2C,
		0x1F,0x9B,0xBE,0x35,0xD4,0x62,0x1D,0x13,0x54,0xD4,0x5E,0x26,
		0xDA,0x23,0x2B,0xB7,0xC3,0xDA,0x88,0xE6,0xA2,0xC2,0xDB,0x43,
		0xDA,0x23,0x24,0x4B,
		};
	static unsigned char dh512_g[]={
		0x05,
		};
	DH *dh;

	if ((dh=DH_new()) == NULL) return(NULL);
	dh->p=BN_bin2bn(dh512_p,sizeof(dh512_p),NULL);
	dh->g=BN_bin2bn(dh512_g,sizeof(dh512_g),NULL);
	if ((dh->p == NULL) || (dh->g == NULL))
		{ DH_free(dh); return(NULL); }
	return(dh);
	}
